/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain;

import java.util.Date;

import com.abssqr.plat.common.integration.wk.enums.WkAsynEnum;
import com.abssqr.plat.common.integration.wk.enums.ComIdEnum;
import com.abssqr.plat.common.integration.wk.enums.RequestTypeEnum;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain: WkHeader.java, v 0.1 2019-06-18 14:47 bangis.wangdf Exp $
 */
public abstract class WkHeader extends WkObject {
    /**
     * 交易请求码
     */
    private RequestTypeEnum RequestType;
    /**
     * 唯一编码
     */
    private String          UUID;
    /**
     * 业务系统标号
     */
    private ComIdEnum       comId;
    /**
     * 白名单ip地址
     */
    private String          comIP;
    /**
     * 请求发送时间
     */
    private Date            sendTime;
    /**
     * 是否异步接口
     */
    private WkAsynEnum      asyn;
    /**
     * 回调Url
     */
    private String          returnUrl;

    /**
     * 签名串
     */
    private String signed;

    /**
     * 客户端	枚举	10	N
     */
    private String clientType;

    public RequestTypeEnum getRequestType() {
        return RequestType;
    }

    public void setRequestType(RequestTypeEnum requestType) {
        RequestType = requestType;
    }

    public String getUUID() {
        return UUID;
    }

    public void setUUID(String UUID) {
        this.UUID = UUID;
    }

    public ComIdEnum getComId() {
        return comId;
    }

    public void setComId(ComIdEnum comId) {
        this.comId = comId;
    }

    public String getComIP() {
        return comIP;
    }

    public void setComIP(String comIP) {
        this.comIP = comIP;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public WkAsynEnum getAsyn() {
        return asyn;
    }

    public void setAsyn(WkAsynEnum asyn) {
        this.asyn = asyn;
    }

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public String getSigned() {
        return signed;
    }

    public void setSigned(String signed) {
        this.signed = signed;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }
}
