/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain.opr.request.trade;

import javax.xml.bind.annotation.XmlRootElement;

import com.abssqr.plat.common.integration.wk.domain.WkObject;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain.opr.request.trade: TdSourceAccountInfo.java, v 0.1 2019-06-20 20:48 bangis.wangdf Exp $
 */
@XmlRootElement(name = "SourceAccountInfo")
public class TdSourceAccountInfo extends WkObject {
    /**
     * 账户信息
     */
    private TdAccountInfo accountInfo;
    /**
     * 优先级，如果有多个交易账号时需要通过优先级指定使用顺序(同一条目内不能重复)，按从小到大使用，长度固定2
     */
    private int level;

    public TdAccountInfo getAccountInfo() {
        return accountInfo;
    }

    public void setAccountInfo(TdAccountInfo accountInfo) {
        this.accountInfo = accountInfo;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }
}
