/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain.opr.response;

import javax.xml.bind.annotation.XmlRootElement;

import com.abssqr.plat.common.integration.wk.domain.WkBody;
import com.abssqr.plat.common.integration.wk.enums.WkResultCodeEnum;

/**
 * 3.2.13租户信息维护结果
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain.opr.response: ProjectResult.java, v 0.1 2019-06-19 11:04
 * bangis.wangdf Exp $
 */

@XmlRootElement(name = "ProjectCreateResult")
public class ProjectResult extends WkBody {
    /**
     * 信息维护结果
     */
    private WkResultCodeEnum resultCode;
    /**
     * 信息维护结果描述
     */
    private String           resultDesc;

    public WkResultCodeEnum getResultCode() {
        return resultCode;
    }

    public void setResultCode(WkResultCodeEnum resultCode) {
        this.resultCode = resultCode;
    }

    public String getResultDesc() {
        return resultDesc;
    }

    public void setResultDesc(String resultDesc) {
        this.resultDesc = resultDesc;
    }
}
