/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain.qry;

import com.abssqr.plat.common.integration.wk.domain.WkHeader;
import com.abssqr.plat.common.integration.wk.domain.opr.OprRstHeader;
import com.abssqr.plat.common.integration.wk.enums.ComIdEnum;
import com.abssqr.plat.common.integration.wk.enums.PlatResultCodeEnum;
import com.abssqr.plat.common.integration.wk.enums.RequestTypeEnum;

import javax.xml.crypto.Data;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain: QryRstHeader.java, v 0.1 2019-06-18 14:25 bangis.wangdf Exp $
 */
public class QryRstHeader extends OprRstHeader {

    /**
     * 最大页码
     */
    private int maxPage;

    public int getMaxPage() {
        return maxPage;
    }

    public void setMaxPage(int maxPage) {
        this.maxPage = maxPage;
    }
}
