/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.integration.wk.domain.qry.request;

import com.abssqr.plat.common.integration.wk.domain.WkBody;
import com.abssqr.plat.common.integration.wk.enums.WkChannelNoEnum;
import com.abssqr.plat.common.integration.wk.enums.LocalOrChannelEnum;

/**
 *账户余额查询接口请求
 *
 * @author yangcheng
 * @version AccountBalanceParam.java, v0.12019-06-1815:52 yangchengExp$
 */
public class AccountBalanceParam extends WkBody {
    /**
     * 账户号
     */
    private String          no;
    /*
     * 渠道代码
     */
    private WkChannelNoEnum channelNo;
    
    /**
     * 本地或渠道余额 0-本地，1-渠道余额
     */
    private LocalOrChannelEnum localOrChannel;
    public String getNo() {
        return no;
    }
    
    public void setNo(String no) {
        this.no = no;
    }
    
    public WkChannelNoEnum getChannelNo() {
        return channelNo;
    }
    
    public void setChannelNo(WkChannelNoEnum channelNo) {
        this.channelNo = channelNo;
    }
    
    public LocalOrChannelEnum getLocalOrChannel() {
        return localOrChannel;
    }
    
    public void setLocalOrChannel(LocalOrChannelEnum localOrChannel) {
        this.localOrChannel = localOrChannel;
    }
    
}
