/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain.qry.response.trade;

import com.abssqr.plat.common.facade.model.plan.PlanCapitalOrder;
import com.abssqr.plat.common.integration.wk.domain.WkBody;
import com.abssqr.plat.common.integration.wk.enums.WkTradeStatusEnum;
import com.general.system.tool.util.ToolUtil;

import java.util.ArrayList;
import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain.qry.response.trade: TradeResult.java, v 0.1 2019-06-21 21:36
 * bangis.wangdf Exp $
 */
public class TradeResult extends WkBody {
    List<TradeResultItem> payInfoList;

    public List<TradeResultItem> getPayInfoList() {
        return payInfoList;
    }

    public void setPayInfoList(
        List<TradeResultItem> payInfoList) {
        this.payInfoList = payInfoList;
    }
    
    
    public static List<TradeResultItem> mockDate(List<PlanCapitalOrder> orders){
        List<TradeResultItem> list = new ArrayList<>();
        if (ToolUtil.isEmpty(orders)){
            return list;
        }
        orders.forEach(one -> {
            TradeResultItem item = new TradeResultItem();
            item.setEntryNo(one.getOutAcptNo());
            item.setPayMoney(one.getTransAmt().getCent());
            item.setStatus(WkTradeStatusEnum.成功);
            list.add(item);
        });
        return list;
    }
}
