/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.core.share.pay;

import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

/**
 * 资金订单操作结果
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.share.pay: PlanCapitalFinishRequest.java, v 0.1 2019-06-03 16:50 zhenxuan.luo Exp $ 
 */
public class PlanCapitalFinishRequest extends BaseEntity {
    
    private String seqNo;
    
    private String outAcptNo;
    
    private String outTransNo;
    
    private Money cfrmAmt = new Money(0);
    
    private TaskStatusEnum res;
    
    private String memo;
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    public String getOutAcptNo() {
        return outAcptNo;
    }
    
    public void setOutAcptNo(String outAcptNo) {
        this.outAcptNo = outAcptNo;
    }
    
    public String getOutTransNo() {
        return outTransNo;
    }
    
    public void setOutTransNo(String outTransNo) {
        this.outTransNo = outTransNo;
    }
    
    public Money getCfrmAmt() {
        return cfrmAmt;
    }
    
    public void setCfrmAmt(Money cfrmAmt) {
        this.cfrmAmt = cfrmAmt;
    }
    
    public TaskStatusEnum getRes() {
        return res;
    }
    
    public void setRes(TaskStatusEnum res) {
        this.res = res;
    }
    
    public String getMemo() {
        return memo;
    }
    
    public void setMemo(String memo) {
        this.memo = memo;
    }
}