/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain: Request.java, v 0.1 2019-06-18 14:46 bangis.wangdf Exp $
 */
public class Result<H extends WkHeader, B extends WkBody> extends WkObject {
    private Class<H> headerClazz;
    private Class<B> bodyClazz;

    public Result(Class<H> headerClazz, Class<B> bodyClazz) {
        this.headerClazz = headerClazz;
        this.bodyClazz = bodyClazz;
    }

    private H header;
    private B body;

    public H getHeader() {
        return header;
    }

    public void setHeader(H header) {
        this.header = header;
    }

    public B getBody() {
        return body;
    }

    public void setBody(B body) {
        this.body = body;
    }

    public Class<H> getHeaderClazz() {
        return headerClazz;
    }

    public Class<B> getBodyClazz() {
        return bodyClazz;
    }

}
