/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain.opr;

import com.abssqr.plat.common.integration.wk.domain.WkHeader;

import com.abssqr.plat.common.integration.wk.enums.ComIdEnum;
import com.abssqr.plat.common.integration.wk.enums.PlatResultCodeEnum;
import com.abssqr.plat.common.integration.wk.enums.RequestTypeEnum;

import java.util.Date;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain.ws: OprRstHeader.java, v 0.1 2019-06-18 14:24 bangis.wangdf Exp $
 */
public class OprRstHeader extends WkHeader {

    /**
     * 返回状态          10000	成功   90000	  支付平台异常
     */
    private PlatResultCodeEnum resultCode;
    /**
     * 返回信息描述
     */
    private String             resultMsg;

    
    public PlatResultCodeEnum getResultCode() {
        return resultCode;
    }
    
    public void setResultCode(PlatResultCodeEnum resultCode) {
        this.resultCode = resultCode;
    }
    
    public String getResultMsg() {
        return resultMsg;
    }
    
    public void setResultMsg(String resultMsg) {
        this.resultMsg = resultMsg;
    }
}
