/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain.opr.request;

import javax.xml.bind.annotation.XmlRootElement;

import com.abssqr.plat.common.integration.wk.domain.WkBody;
import com.abssqr.plat.common.integration.wk.enums.ProjStateEnum;

/**
 * 3.2.13租户信息维护
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain.opr.request: Project.java, v 0.1 2019-06-19 10:54 bangis
 * .wangdf Exp $
 */
@XmlRootElement(name = "ProjectCreate")
public class Project extends WkBody {
    /**
     * 租户号
     */
    private String        projNo;
    /**
     * 租户名称
     */
    private String        projName;
    /**
     * 租户状态	字符	2	Y	01-生效，02-失效
     */
    private ProjStateEnum ProjState;
    /**
     * 保留域
     */
    private String        info1;

    public String getProjNo() {
        return projNo;
    }

    public void setProjNo(String projNo) {
        this.projNo = projNo;
    }

    public String getProjName() {
        return projName;
    }

    public void setProjName(String projName) {
        this.projName = projName;
    }

    public ProjStateEnum getProjState() {
        return ProjState;
    }

    public void setProjState(ProjStateEnum projState) {
        ProjState = projState;
    }

    public String getInfo1() {
        return info1;
    }

    public void setInfo1(String info1) {
        this.info1 = info1;
    }
}
