/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.integration.wk.domain.opr.response;

import javax.xml.bind.annotation.XmlRootElement;

import com.abssqr.plat.common.integration.wk.domain.WkObject;
import com.abssqr.plat.common.integration.wk.enums.WkAcctStatusEnum;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.integration.wk.domain.opr.response: AccountResult.java, v 0.1 2019-06-19 19:17
 * bangis.wangdf Exp $
 */
@XmlRootElement(name = "AccountInfo")
public class AccountResult extends WkObject {
    /**
     * AccountNo	账户号	字符	64	Y	不能使用ufc(不区分大小写)开头，业务系统保证唯一并以业务系统编号开头
     * Status	交易状态	枚举	2	Y	见4.5
     * Message	信息描述	字符	128	Y
     */
    private String           accountNo;
    /**
     * 交易状态
     */
    private WkAcctStatusEnum status;
    /**
     * 信息描述
     */
    private String           message;

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public WkAcctStatusEnum getStatus() {
        return status;
    }

    public void setStatus(WkAcctStatusEnum status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
