/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.integration.wk.domain.qry.response;

import com.abssqr.plat.common.integration.wk.domain.WkObject;
import com.abssqr.plat.common.integration.wk.enums.WkChannelNoEnum;

/**
 *账户余额明细响应
 * @author yangcheng
 * @version BalanceInfo.java, v0.12019-06-1816:20 yangchengExp$
 */
public class BalanceInfo extends WkObject {
    /**
     * 账户号
     */
    private String          accountNo;
    /**
     * 渠道编号
     */
    private WkChannelNoEnum channelNo;
    /**
     * 余额
     */
    private long            balance;
    
    public String getAccountNo() {
        return accountNo;
    }
    
    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }
    
    public WkChannelNoEnum getChannelNo() {
        return channelNo;
    }
    
    public void setChannelNo(WkChannelNoEnum channelNo) {
        this.channelNo = channelNo;
    }
    
    public long getBalance() {
        return balance;
    }
    
    public void setBalance(long balance) {
        this.balance = balance;
    }
}
