/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.core.share.pay;

import com.abssqr.plat.common.facade.model.plan.PlanCapitalLog;
import org.springframework.beans.factory.InitializingBean;

/**
 * 资金单交易完成后的接续处理接口
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.share.pay: PlanCapitalFinishProcess.java, v 0.1 2019-06-03 21:20 zhenxuan.luo Exp $ 
 */
public interface PlanCapitalFinishProcess extends InitializingBean{
    
    /**
     * 根据资金流水处理
     *
     * @param planCapitalLog
     */
    void process(PlanCapitalLog planCapitalLog);
}